Summary: A cron-like program that can run jobs lost during downtime.
Name: anacron
Version: 2.1
Release: 6
Copyright: GPL
Group: System Environment/Base
Source: %{name}-%{version}.tar.bz2
Source1: anacrontab
Source2: anacron.init
Requires: /bin/sh
BuildRoot: /var/tmp/%{name}-buildroot

%description
Anacron (like `anac(h)ronistic') is a periodic command scheduler.  It
executes commands at intervals specified in days.  Unlike cron, it
does not assume that the system is running continuously.  It can
therefore be used to control the execution of daily, weekly and
monthly jobs (or anything with a period of n days), on systems that
don't run 24 hours a day.  When installed and configured properly,
Anacron will make sure that the commands are run at the specified
intervals as closely as machine-uptime permits.  

This package is pre-configured to execute the daily jobs of the Red
Hat Linux system. You should install this program if your system isn't
powered on 24 hours a day to make sure the maintenance jobs of other
Red Hat Linux packages are executed each day.

%prep
%setup

%build
make CFLAGS="$RPM_OPT_FLAGS"

%install
mkdir -p $RPM_BUILD_ROOT/{etc/,usr/sbin/,usr/man/man5,usr/man/man8/}
mkdir -p $RPM_BUILD_ROOT/var/spool/anacron/

#
cp anacron $RPM_BUILD_ROOT/usr/sbin
cp anacron.8 $RPM_BUILD_ROOT/usr/man/man8/
cp anacrontab.5 $RPM_BUILD_ROOT/usr/man/man5/
cp %SOURCE1 $RPM_BUILD_ROOT/etc

for i in cron.daily cron.weekly cron.monthly;do
mkdir -p $RPM_BUILD_ROOT/etc/$i/
cat << EOF > $RPM_BUILD_ROOT/etc/$i/0anacron
#!/bin/sh
#
# anacron's cron script
#
# This script updates anacron time stamps. It is called through run-parts
# either by anacron itself or by cron.
#
# The script is called "0anacron" to assure that it will be executed
# _before_ all other scripts.

anacron -u $i

EOF
chmod +x $RPM_BUILD_ROOT/etc/$i/0anacron
done

#
for i in `find $RPM_BUILD_ROOT/ -type 'f' -perm '+a=x'`;do
	file $i|grep -q "not stripped" && strip $i
done

mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d/
cp $RPM_SOURCE_DIR/anacron.init $RPM_BUILD_ROOT/etc/rc.d/init.d/anacron

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc COPYING NEWS README
%config /etc/anacrontab
%dir /var/spool/anacron/
%config /etc/rc.d/init.d/*
/usr/man/man5/*
/usr/man/man8/*
/usr/sbin/anacron
%config /etc/cron.daily/0anacron
%config /etc/cron.monthly/0anacron
%config /etc/cron.weekly/0anacron

%changelog
* Fri Mar 03 2000 Tim Powers <timp@redhat.com>
- fixed startup script so that it doesn't put stuff in /var/lock/subsys.
	Complains since anacronda turns itself off when it is run, and the file in
	/var/lock/subsys isn't removed.
	
* Mon Feb 28 2000 Tim Powers <timp@redhat.com>
- fixed startup script, now it actually stops, gives status and restarts.
	Fixes bug #9835

* Mon Feb  7 2000 Bill Nottingham <notting@redhat.com>
- handle compressed manpages

* Fri Feb  4 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- rebuild to get compressed man pages
- mark /etc/cron.daily/... as config files

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- fix annoying defines
- rebuild to update description and group

* Thu Jan  6 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- initial Red Hat package

* Wed Dec 29 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Remove cron.hourly check (unusefull).

* Wed Nov 10 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 2.1 from debian.
- Fix typo in initscripts.

* Thu Jul 22 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix wrong entries in anacrontab.
- Add a /etc/rc.d/rc.sysinit/ script

* Tue Apr 27 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix bug with /var/spool/anacron/

* Sat Apr 10 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- First version mainly inspired from the Debian package.
